Community Packages

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#66122 - [python-virtualenvwrapper] Missing dependency python-distlib

Attached to Project: Community Packages
Opened by max-k (max-k) - Sunday, 05 April 2020, 08:21 GMT
Last edited by Doug Newgard (Scimmia) - Sunday, 05 April 2020, 13:17 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Evangelos Foutras (foutrelis)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

This package no longer works (maybe since Python 3.8 ?) because there is a missing dependency on python-distlib.

Additional info:
* 4.8.4-4

Steps to reproduce:

$ sudo pacman -Rcn pyton-distlib # Only if it's already installed
$ mkvirtualenv test
Traceback (most recent call last):
File "/usr/bin/virtualenv", line 6, in <module>
from pkg_resources import load_entry_point
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3259, in <module>
def _initialize_master_working_set():
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3242, in _call_aside
f(*args, **kwargs)
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3271, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 584, in _build_master
ws.require(__requires__)
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 901, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 787, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'distlib<1,>=0.3.0' distribution was not found and is required by virtualenv

$ sudo pacman -S python-distlib
[...]
$ mkvirtualenv test
created virtual environment CPython3.8.2.final.0-64 in 157ms
creator CPython3Posix(dest=/home/tsarboni/.virtualenvs/test, clear=False, global=False)
seeder FromAppData(download=False, pip=latest, setuptools=latest, wheel=latest, via=copy, app_data_dir=/home/tsarboni/.local/share/virtualenv/seed-app-data/v1.0.1)
activators BashActivator,CShellActivator,FishActivator,PowerShellActivator,PythonActivator,XonshActivator
virtualenvwrapper.user_scripts creating /home/tsarboni/.virtualenvs/test/bin/predeactivate
virtualenvwrapper.user_scripts creating /home/tsarboni/.virtualenvs/test/bin/postdeactivate
virtualenvwrapper.user_scripts creating /home/tsarboni/.virtualenvs/test/bin/preactivate
virtualenvwrapper.user_scripts creating /home/tsarboni/.virtualenvs/test/bin/postactivate
virtualenvwrapper.user_scripts creating /home/tsarboni/.virtualenvs/test/bin/get_env_details

Additional suggestion:

Also add python2-distlib as an optional dependency for Python2 support.

Thanks a lot
This task depends upon

Closed by  Doug Newgard (Scimmia)
Sunday, 05 April 2020, 13:17 GMT
Reason for closing:  Duplicate
Additional comments about closing:   FS#66095 

Loading...